Get details of all digital products with this API. This is meant to be used internally with a fermion API key only.
Authentication with the “FERMION-API-KEY” header is required to use this endpoint.
Rate limit: Maximum 15 requests in a window of 1m.
cURL
curl --request POST \ --url https://backend.codedamn.com/api/public/get-all-products-internal \ --header 'Content-Type: application/json' \ --header 'FERMION-API-KEY: <api-key>' \ --data ' { "data": [ { "data": { "productTitleSearchFilter": "<string>", "productTagsSearchFilter": [ "<string>" ], "filterByStatus": [ "Active" ], "filterByType": [ "DownloadableProduct" ] } } ] } '
[ { "output": { "status": "ok", "data": { "products": [ { "fermionDigitalProductId": "<string>", "type": "DownloadableProduct", "name": "<string>", "slug": "<string>", "link": "<string>", "thumbnailUrl": "<string>", "tags": [ "<string>" ] } ] } } } ]
API Request Body
Show child attributes
API Response Body